## libav 11

=== debian/changelog ===
libav (6:11-1) unstable; urgency=low

  * Upload final 11 release
    - matroskadec: parse stereo mode on decoding (Closes: #757185)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Sep 2014 15:36:38 -0400

libav (6:11~beta1-3) unstable; urgency=low

  * Add post-release upstream patches
  * Remove unapplied patches
  * Remove /etc/avserver.conf (Closes: #760763)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Sep 2014 07:58:42 -0400

libav (6:11~beta1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Make libavcodec-dev depend on libavresample-dev

  [ Rico Tzschichholz ]
  * Some fixes and leftovers from soname bumps

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Aug 2014 11:02:45 -0400

libav (6:11~beta1-1) experimental; urgency=low

  * New upstream Release v11~alpha2
  * build against libgnutls28-dev (Closes: #758447)
  * Bump shlibs

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Aug 2014 22:33:40 -0400

libav (6:11~alpha2-1) experimental; urgency=low

  * New upstream Release v11~alpha2
    - ffv1dec: check global parameters (CVE-2013-7020)
    - mpegts: Check writing a PMTs (CVE-2014-2263)
    - avcodec: Postpone FF_IDCT_XVIDMMX removal until the next version
      bump (fixes gst-libav FTBFS)
  * Bump shlibs
  * Add helper scripts for doing mass rebuilds

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 13 Aug 2014 22:11:14 -0400

libav (6:11~alpha1-1) experimental; urgency=low

  * New upstream Release v11~alpha1
    - Fixes Unchecked conversion from double to enum (Closes: #749164)
  * Add some post v11_alpha1 patches from upstream
  * All SONAMEs bumped because of internal changes, but external API is
    promised to have not changed

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 10 Aug 2014 09:45:02 -0400

libav (6:10.4-1) unstable; urgency=medium

  * New Upstream Release v10.3
    - mpegts: Do not try to write a PMT larger than SECTION_SIZE
              (CVE-2014-2263)
    - mpegts: Define the section length with a constant
    - ffv1dec: check that global parameters do not change in version 0/1
               (CVE-2013-7020)
    - h264: fix interpretation of interleaved stereo modes
    - svq1: do not modify the input packet
    - cdgraphics: do not return 0 from the decode function
    - cdgraphics: switch to bytestream2 (CVE-2013-3674)
    - jpeg2000: enable 4 component pixel formats
    - stereo3d: add missing include guards
    - huffyuvdec: check width size for yuv422p (CVE-2013-0848)
    - mmvideo: check horizontal coordinate too (CVE-2013-3672)
    - wmalosslessdec: fix mclms_coeffs* array size (CVE-2014-2098)
  * build against libgnutls28-dev (Closes: #758447)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Aug 2014 21:55:47 -0400

libav (6:10.3-1) unstable; urgency=medium

  * New Upstream Release v10.3
    - huffyuv: Check and propagate function return values (CVE-2013-0868)
    - h264: prevent theoretical infinite loop in SEI parsing (CVE-2011-3946)
    - pgssubdec: Check RLE size before copying (CVE-2013-0852)
    - video4linux2: Avoid a floating point exception
    - vf_select: Drop a debug av_log with an unchecked double to enum conversion
    - librtmp: Don't free the temp url at the end of rtmp_open
    - arm: Avoid using the 'setend' instruction on ARMv7 and newer
    - avplay: Handle pixel aspect ratio properly
    - eamad: use the bytestream2 API instead of AV_RL (CVE-2013-0851)
    - pg2meet: allow size changes within original sizes
    - af_compand: make sure request_frame always outputs at least one frame

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Aug 2014 22:30:41 -0400

libav (6:10.2-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * Fixed typo in debian/NEWS (Closes: #753453)

  [ Stefan Lippers-Hollmann ]
  * libavcodec-extra: declare as Section: metapackages (Closes: #747921)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Jul 2014 14:57:15 -0400

libav (6:10.2-1) unstable; urgency=high

  * Bumping severity for critical LZO security issue.
  * New Upstream Release v10.2
    - aarch64: Use the correct syntax for relocations (Closes: #751856,
    -  LP: #1323144)
    - ppc: Fix compilation for ppc64le (ELFv2) (LP: #1263802)
    - avconv: make -shortest work with streamcopy
    - lzo: Handle integer overflow (Reported by Don A. Bailey)
    - Check if an mp3 header is using a reserved sample rate.
    - Check mp3 header before calling avpriv_mpegaudio_decode_header().
    - jpeg2000: fix dereferencing invalid pointers during cleanup
    - avpacket: fix copying side data in av_packet_copy_props()
    - oggenc: Set the right AVOption size for the pref_duration option
    - adpcm: Avoid reading out of bounds in the IMA QT trellis encoder
    - adpcm: Write the proper predictor in trellis mode in IMA QT
  * No longer build avserver (Closes: #734335)
  * Clarify licensing in debian/copyright (Closes: #698019)

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 27 Jun 2014 22:23:32 -0400
