## libav 11.2

=== debian/changelog ===
libav (6:11.2-1) unstable; urgency=medium

  * New upstream release fixing multiple security issues. (Closes: #773626)
    - h264: restore a block mistakenly removed in e10fd08a
    - on2avc: check number of channels (CVE-2014-8549)
    - smc: fix the bounds check (CVE-2014-8548)
    - gifdec: refactor interleave end handling (CVE-2014-8547)
    - mmvideo: check frame dimensions (CVE-2014-8543)
    - jvdec: check frame dimensions (CVE-2014-8542)
    - mjpegdec: check for pixel format changes (CVE-2014-8541)
    - mov: avoid a memleak when multiple stss boxes are present
    - vc1: Do not assume seek happens after decoding
    - avconv: Use the mpeg12 private option scan_offset (Closes: #773055)
    - xsub: Support DXSA subtitles
    - mp3dec: fix reading the Xing tag
    - matroskaenc: write correct Display{Width, Height} in stereo encoding
    - configure: Fix enabling memalign_hack automatically
    - mp3enc: fix a triggerable assert
    - latm: Do not give a score for a single instance
    - mp3: Tweak the probe scores
    - matroskaenc: write correct Display{Width, Height} in stereo encoding
    - coverity: Fix most of the reported warnings and issues
  * debian/control: Add myself to Uploaders.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 17 Jan 2015 20:56:19 +0100

libav (6:11.1-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 30 Dec 2014 17:08:42 +0100

libav (6:11.1-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release.
    + Replace lena.pnm.
      Closes: bug#771126.
    + Treat all '*.pnm' files as non-text file.
    + opusdec: Ensure all substreams have same number of coded samples.
    + lavu: Fix memory leaks by using a mutex instead of atomics.
    + lavu: Add wrappers for the pthreads mutex API.
    + mp3enc: Fix a triggerable assert.
    + resample: Avoid off-by-1 errors in PTS calcs.
    + imc: Fix order of operations in coefficients read.
    + hevc_mvs: Ensure to always initialize the temporal MV fully.
    + hevc_mvs: Initialize the temporal MV in case of missing ref.
    + h264: Reset ret to avoid propagating minor failures.
    + hevc: Initialize mergecand_list to 0.
    + mpeg12: Always invoke the get_format() callback.
    + h264: Always invoke the get_format() callback.
    + Update default FATE URL for release/11.
    + apetag: Fix APE tag size check.

  [ Jonas Smedegaard ]
  * Drop patches now included upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2014 16:37:04 +0100

libav (6:11-2) unstable; urgency=medium

  * add patches post v11 release, all of which will be included in the 
    next point release:
     - 0001-apetag-Fix-APE-tag-size-check.patch
     - 0002-Update-default-FATE-URL-for-release-11.patch
     - 0003-h264-Always-invoke-the-get_format-callback.patch
     - 0004-mpeg12-Always-invoke-the-get_format-callback.patch
     - 0005-hevc-Initialize-mergecand_list-to-0.patch
     - 0006-h264-reset-ret-to-avoid-propagating-minor-failures.patch
     - 0007-hevc_mvs-initialize-the-temporal-MV-in-case-of-missi.patch
     - 0008-hevc_mvs-make-sure-to-always-initialize-the-temporal.patch
     - 0009-imc-fix-order-of-operations-in-coefficients-read.patch
     - 0010-resample-Avoid-off-by-1-errors-in-PTS-calcs.patch

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 19 Oct 2014 16:18:48 -0400
