=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  Loïc Minier <lool@debian.org>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
- Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.5
+ Jonas Smedegaard <dr@jones.dk>,
+ Sebastian Ramacher <sramacher@debian.org>
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libav.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libav.git;a=summary
 Homepage: http://libav.org/
@@ -49,6 +50,7 @@
  libvpx-dev,
  libx11-dev,
  libx264-dev,
+ libx265-dev,
  libxext-dev,
  libxfixes-dev,
  libxvidcore-dev,
@@ -69,9 +71,8 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- frei0r-plugins (>= 1.3)
-Conflicts:
- ffprobe
+ frei0r-plugins (>= 1.3),
+ x264
 Description: Multimedia player, encoder and transcoder
  Libav is a complete, cross-platform solution to decode, encode, record,
  convert and stream audio and video.
@@ -90,12 +91,6 @@
 Section: debug
 Priority: extra
 Architecture: any
-Replaces:
- ffmpeg-dbg (<< 6:0.8.3-5),
- libav-extra-dbg (<< 6:0.8.3-5)
-Breaks:
- ffmpeg-dbg (<< 6:0.8.3-5),
- libav-extra-dbg (<< 6:0.8.3-5)
 Depends:
  libav-tools (= ${binary:Version}),
  libavcodec56 (= ${binary:Version}) | libavcodec-extra-56 (= ${binary:Version}),
@@ -151,8 +146,6 @@
  libavcodec-extra-56
 Replaces:
  libavcodec-extra-56
-Breaks:
- mplayer (<< 2:1.0~rc4.dfsg1+svn34540-1~)
 Description: Libav codec library
  Libav is a complete, cross-platform solution to decode, encode, record,
  convert and stream audio and video.
@@ -352,8 +345,6 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Replaces:
- libavresample0
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -374,8 +365,6 @@
  libavcodec56
 Conflicts:
  libavcodec56
-Breaks:
- mplayer (<< 2:1.0~rc4.dfsg1+svn34540-1~)
 Description: Libav codec library (additional codecs)
  Libav is a complete, cross-platform solution to decode, encode, record,
  convert and stream audio and video.
@@ -401,9 +390,10 @@
 Depends:
  libavcodec-extra-56,
  ${misc:Depends},
-Description: Libav codec library (additional codecs meta-package)
+Description: Libav codec library (additional codecs metapackage)
  Libav is a complete, cross-platform solution to decode, encode, record,
  convert and stream audio and video.
  .
  This package depends on the latest version of the libavcodec variant
  that offers additional codec support. Application packages can depend
+ on it if they require or suggest this variant in a robust manner.
