=== debian/rules ===
--- 
+++ 
@@ -140,8 +140,7 @@
 	install -m 755 -D debian-shared/tools/qt-faststart debian/tmp/usr/bin/qt-faststart
 	dh_install $(addprefix -N,$(LIB_EXTRA_PKGS)) \
 		 --fail-missing --sourcedir=debian/tmp
-	dh_installdocs -a doc/APIchanges
-	install -m 644 -D debian-shared/doc/*.html doc/t2h.init debian/libav-tools/usr/share/doc/libav-tools
+	dh_installdocs -a
 	dh_installexamples -a
 	dh_installchangelogs -a Changelog
 	$(foreach flavor,$(filter-out static,$(FLAVORS)),$(call install_flavor_extra,$(flavor)))
@@ -156,8 +155,6 @@
 	dh_testroot
 	dh_prep -i
 	doxygen doc/Doxyfile
-	mkdir -p debian/libav-doc/usr/share/doc/libav-doc
-	mv -v doc/doxy/html debian/libav-doc/usr/share/doc/libav-doc
 	dh_installdocs -i
 	dh_installchangelogs -i
 	dh_compress -i
@@ -165,12 +162,12 @@
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
-	dh_builddeb -i -- -Zxz
+	dh_builddeb -i
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installman -plibav-tools debian/qt-faststart.1
+	dh_installman -a
 	dh_strip -a --dbg-package=libav-dbg
 	dh_lintian -a
 	dh_link -a
@@ -184,18 +181,18 @@
 	# operate e.g. the -extra- packages, produce shlibs that have alternative dependencies
 	for pkg in $(LIB_EXTRA_PKGS); do \
 	    npkg=$$(echo "$$pkg" | sed -r 's/-extra-//'); \
-	    dh_makeshlibs -p"$$pkg" -V"$$npkg (>= $(SHLIBS_VERSION)) | $$pkg (>= $(EPOCH)$(UPSTREAM_VERSION))"; \
+	    dh_makeshlibs -p"$$pkg" -V"$$npkg (>= $(SHLIBS_VERSION)) | $$pkg (>= $(SHLIBS_VERSION))"; \
 	done
 	# operate on packages with -extra- variants such as libavcodec54 - produce shlibs that have alternative dependencies
 	for pkg in $(LIB_PKGS2); do \
 	    upkg=$$(echo "$$pkg" | sed -r 's/([0-9]+)$$/-extra-\1/'); \
-	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(SHLIBS_VERSION)) | $$upkg (>= $(EPOCH)$(UPSTREAM_VERSION))"; \
+	    dh_makeshlibs -p"$$pkg" -V"$$pkg (>= $(SHLIBS_VERSION)) | $$upkg (>= $(SHLIBS_VERSION))"; \
 	done
 	dh_shlibdeps
 	dh_installdeb -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a -- -Zxz
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
