## libav 11.4-40~1

=== debian/changelog ===
libav (6:11.4-40~1-jessie+1) testing; urgency=low

  * Nightly build.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 11 Dec 2015 14:30:26 -0500

libav (6:11-4~1-jessie+1) testing; urgency=medium

  * Nightly build.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 03 Sep 2015 13:27:12 -0700

libav (6:11.4-1~deb8u1) jessie-security; urgency=high

  [ Sebastian Ramacher ]
  * New upstream release fixing multiple security issues.
    - h264: Make sure reinit failures mark the context as not initialized
      (CVE-2015-3417)
    - msrle: Use FFABS to determine the frame size in msrle_decode_pal4
      (CVE-2015-3395)
    - cavs: Remove an unneeded scratch buffer
    - configure: Disable i686 for i586 and lower CPUs (debian/783082)
    - mjpegenc: Fix JFIF header byte ordering (bug/808)
    - nut: Make sure to clean up on read_header failure
    - png: Set the color range as full range
    - avi: Validate sample_size
    - nut: Check chapter creation in decode_info_header
    - alac: Reject rice_limit 0 if compression is used
    - ape: Support _0000 files with nblock smaller than 64
    - mux: Do not leave stale side data pointers in ff_interleave_add_packet()
    - avresample: Reallocate the internal buffer to the correct size (bug/825)
    - mpegts: Update the PSI/SI table only if the version change
    - rtsp: Make sure we don't write too many transport entries into a
      fixed-size array
    - rtpenc_jpeg: Handle case of picture dimensions not dividing by 8
    - mov: Fix little endian audio detection
    - x86: Put COPY3_IF_LT under HAVE_6REGS (gentoo/541930)
    - roqvideoenc: set enc->avctx in roq_encode_init
    - mp3: Properly use AVCodecContext API
    - libvpx: Fix mixed use of av_malloc() and av_reallocp()
    - Revert "lavfi: always check av_expr_parse_and_eval() return value"
    - alsdec: only adapt order for positive max_order
    - alsdec: check sample pointer range in revert_channel_correlation
    - aacpsy: correct calculation of minath in psy_3gpp_init
    - alsdec: limit avctx->bits_per_raw_sample to 32
    - aasc: return correct buffer size from aasc_decode_frame
    - matroskadec: fix crash when parsing invalid mkv
    - avconv: do not overwrite the stream codec context for streamcopy
    - webp: ensure that each transform is only used once
    - h264_ps: properly check cropping parameters against overflow
    - hevc: zero the correct variables on invalid crop parameters
    - hevc: make the crop sizes unsigned

  [ Reinhard Tartler]
  * drop 01-configure-disable-i686-for-i586

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Jun 2015 11:12:42 +0200

libav (6:11.3-1+deb8u1) jessie; urgency=medium

  * Fix use of illegal instruction on i586. (Closes: #783082)
    - debian/confflags: Pass correct value to --cpu. Thanks to Bernhard
      Übelacker for the patch.
    - debian/patches:
      + 01-configure-disable-i686-for-i586.patch: Upstream patch to disable
        i686 instructions on i586.
      + 02-configure-disable-ebx-gcc-4.9.patch: Workaround build failure with
        gcc 4.9 and newer by disabling the use of ebx in handwritten assembler
        code. Thanks to Bernhard Übelacker for the initial patch.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 May 2015 21:59:47 +0200
