## libav 11.4-41~1

=== debian/changelog ===
libav (6:11.4-41~1-jessie+1) UNRELEASED; urgency=low

  * Nightly build.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 28 Jan 2016 17:15:38 -0500
